# class toResultViewMLCheck | This item expands the height to commodate all lines in the input buffer. More...
Definition | `#include <toresultview.h>`
Inherits | toResultViewCheck [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultViewMLCheck (QListView *parent,const QString &text,QCheckListItem::Type type=Controller)
- toResultViewMLCheck (QListViewItem *parent,const QString &text,QCheckListItem::Type type=Controller)
- virtual void setup (void)
- virtual void setText (int,const QString &)
- virtual QString text (int col) const
- virtual QString allText (int col) const
- virtual int width (const QFontMetrics &fm, const QListView *top, int column) const
- virtual void paintCell (QPainter *pnt,const QColorGroup & cg,int column,int width,int alignment)

## Detailed Description

This item expands the height to commodate all lines in the input buffer.

toResultViewMLCheck (QListView *parent,const QString &text,QCheckListItem::Type type=Controller) | ### toResultViewMLCheck

Create a new item.

Parameters:

parent | Parent list view.
text | Text of first column.
type | Type of check on this item.

toResultViewMLCheck (QListViewItem *parent,const QString &text,QCheckListItem::Type type=Controller) | ### toResultViewMLCheck

Create a new item.

Parameters:

parent | Parent item.
text | Text of first column.
type | Type of check on this item.

void setup (void) | ### setup

[virtual]

Reimplemented for internal reasons.

Reimplemented from QCheckListItem.

void setText (int,const QString &) | ### setText

[virtual]

Reimplemented for internal reasons.

QString text (int col) | ### text

[const virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewCheck.

QString allText (int col) | ### allText

[const virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewCheck.

int width (const QFontMetrics &fm, const QListView *top, int column) | ### width

[const virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewCheck.

void paintCell (QPainter *pnt,const QColorGroup & cg,int column,int width,int alignment) | ### paintCell

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewCheck.